### Method

# Soup Server disconnect

#### Declaration [src]

    void
    soup_server_disconnect (
      SoupServer* server
    )

#### Description [src]

Closes and frees `server`‘s listening sockets.

Note that if there are currently requests in progress on `server`, that they will continue to be processed if `server`‘s `GMainContext` is still running.

You can call `soup_server_listen()`, etc, after calling this function if you want to start listening again.